I have to install bitcoin core to use op_return library. But I have difficulties to install correctly bitcoin core.

First I run the command sudo apt-add-repository ppa:bitcoin/bitcoin

Second I enter this command: apt-get update

But I have error :

 Err http://ppa.launchpad.net jessie/main amd64 Packages                
 Err http://ppa.launchpad.net jessie/main amd64 Packages                                                                     
 Err http://ppa.launchpad.net jessie/main amd64 Packages                                               
 Err http://ppa.launchpad.net jessie/main amd64 Packages                                               
 Err http://ppa.launchpad.net jessie/main amd64 Packages                                               
404  Not Found

 W: Failed to fetch http:/ppa.launchpad.net/bitcoin/bitcoin/ubuntu/dists/jessie/main/binary-amd64/Packages  404  Not Found

 E: Some index files failed to download. They have been ignored, or old ones used instead.

So when I want to do this : apt-get install bitcoin-qt I have : E: Unable to locate package bitcoin-qt

What can I do?

  • I'm getting this same message, anyone with an answer would be greatly appreciated. – user40497 Aug 13 '16 at 4:16

The repository is for ubuntu and you're on debian.
So it doesn't have packages for jessie.
Use this instead: https://github.com/bitcoin/bitcoin/blob/master/doc/build-unix.md
Hope this helps! :)

Your Answer

 

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.